Page MenuHomePhabricator

Create 2 VMs in codfw for mwdebug20001 and 2002
Closed, ResolvedPublic

Description

We will need to create 2 VMs for wikimedia-debug purposes in codfw, similarly to what we did in eqiad. The task will be filled with details in the future, for now it just acts as a blocker on the task to decommission the two physical hosts.

Related Objects

Event Timeline

Joe created this task.Feb 15 2018, 4:53 PM
fgiunchedi triaged this task as Normal priority.Feb 16 2018, 9:41 AM
Joe claimed this task.Mar 7 2018, 12:47 PM
Joe added a project: User-Joe.

Change 416932 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/dns@master] Add mwdebug2001/2002 in row A and B respectively.

https://gerrit.wikimedia.org/r/416932

Change 416932 merged by Giuseppe Lavagetto:
[operations/dns@master] Add mwdebug2001/2002 in row A and B respectively.

https://gerrit.wikimedia.org/r/416932

Mentioned in SAL (#wikimedia-operations) [2018-03-07T14:19:08Z] <_joe_> adding mwdebug200{1,2} to ganeti in codfw, T187468

Change 416962 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] mwdebug: create the two VMs in codfw

https://gerrit.wikimedia.org/r/416962

Change 416962 merged by Giuseppe Lavagetto:
[operations/puppet@production] mwdebug: create the two VMs in codfw

https://gerrit.wikimedia.org/r/416962

Change 416966 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] conftool-data: add mwdebug2001-2

https://gerrit.wikimedia.org/r/416966

Change 416967 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] debug_proxy: point to the new codfw test servers

https://gerrit.wikimedia.org/r/416967

Change 416970 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/mediawiki-config@master] Switch to mwdebug hosts in codfw too.

https://gerrit.wikimedia.org/r/416970

Change 416966 merged by Giuseppe Lavagetto:
[operations/puppet@production] conftool-data: add mwdebug2001-2

https://gerrit.wikimedia.org/r/416966

Change 416967 merged by Giuseppe Lavagetto:
[operations/puppet@production] debug_proxy: point to the new codfw test servers

https://gerrit.wikimedia.org/r/416967

Change 416970 merged by jenkins-bot:
[operations/mediawiki-config@master] Switch to mwdebug hosts in codfw too.

https://gerrit.wikimedia.org/r/416970

Mentioned in SAL (#wikimedia-operations) [2018-03-07T18:30:11Z] <tgr@tin> Synchronized debug.json: T187468 Switch to mwdebug hosts in codfw too (duration: 01m 15s)

Joe closed this task as Resolved.Mar 8 2018, 9:21 AM